#-----------------------------------------------------------------------------------#
#                                                                                   #
#                           PROTIS 2021-2022                                        #
#                                                                                   #
#-----------------------------------------------------------------------------------#
# Etienne LOISELET, Samuel GERENTE, Grégoire GUYON, Florian MOTYL et Flora SILBERZAN#
#-----------------------------------------------------------------------------------#

# Institut d'Optique Graduate School (https://www.institutoptique.fr/)
# LEnsE (http://lense.institutoptique.fr/)

# Au 2A qui veut utiliser ce programme et ses librairies: en cas de question(s) ne pas
# hésiter à me contacter par mail à etienne.loiselet@institutoptique.fr ou sur messenger

## Importations:

import Application              # Librairie spécifique au projet (contient l'interface)

import numpy as np              # Librairie générale de python (manipulation de matrices)
import importlib                # Librairie générale de python (permet de mettre à jour une librairie)

importlib.reload(Application)   # mise à jour de "Application" pour appliquer les potentielles modifications
                                # sans avoir à tout redémarrer

## Programme:

fond=np.array([ [0,0,0,0,0,1,0,1,0,0,0,0,0,0,0],    # Carte du hangar (1=mur,0=espace vide)
                [0,1,1,1,0,1,0,1,1,0,1,0,1,0,0],
                [0,0,0,1,0,0,0,0,1,1,1,1,1,0,1],
                [1,1,1,1,1,1,0,0,0,0,0,0,0,0,0],
                [0,0,0,0,0,0,0,1,1,1,0,1,1,1,1],
                [0,1,0,1,0,1,0,1,0,1,0,1,0,1,0],
                [0,1,0,1,0,1,0,1,0,1,0,1,0,1,0],
                [1,1,1,1,1,1,0,0,0,0,0,0,0,0,0],
                [0,1,0,1,0,1,0,1,0,1,0,1,0,1,0],
                [0,0,0,0,0,0,0,1,0,1,0,1,0,1,0] ])

app=Application.Logiciel(fond)      # Création d'un objet interface
app.ouvrir()                        # Ouverture de l'interface